[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IInterfaceList.First

Return the first non-empty interface in the list.

## Declaration

Source position: classesh.inc line 2064

`function IInterfaceList.First: IUnknown;`

## Description

First returns the first non-empty interface in the list.

## See also

TList.First |  | Returns the first non-nil pointer in the list.
IInterfaceList.IndexOf |  | Return the index of an interface.
IInterfaceList.Last |  | Returns the last non-nil interface in the list.